#!/usr/bin/env node

const nodeMajorVer = process.version.slice(1).split('.')[0];
const LTS = 16;

if (nodeMajorVer < LTS) {
  console.log('You are using old Node.js version:', nodeMajorVer);
  console.log('Consider updating it at least to:', LTS);

  process.exit(1);
}

const program = require('commander');

program
  .version(require('./package.json').version)
  .command('bundle', 'Bundle production-ready application')
  .alias('b')
  .command('publish', 'Publish application to HIRO Desktop')
  .alias('p')
  .parse(process.argv);

if (program.args.length === 0) {
  program.outputHelp();
  process.exit(1);
}
